Get a terminal using the id
curl --request GET \
--url https://api.terminal49.com/v2/terminals/{id} \
--header 'Authorization: <api-key>'import requests
url = "https://api.terminal49.com/v2/terminals/{id}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.terminal49.com/v2/terminals/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"relationships": {
"port": {
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "port"
}
}
},
"attributes": {
"name": "<string>",
"nickname": "<string>",
"firms_code": "<string>",
"smdg_code": "<string>",
"bic_facility_code": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"state_abbr": "<string>",
"zip": "<string>",
"country": "<string>"
},
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"type": "terminal"
}
}Terminals
Get a terminal
Retrieve a single terminal from the Terminal49 API by terminal ID, including the terminal name, port, country, timezone, and operator metadata.
GET
/
terminals
/
{id}
Get a terminal using the id
Authorizations
Token YOUR_API_TOKEN
The APIs require authentication to be done using header-based API Key and Secret Authentication.
API key and secret are sent va the Authorization request header.
You send your API key and secret in the following way:
Authorization: Token YOUR_API_KEY
Path Parameters
Response
200 - application/json
OK
Show child attributes
Show child attributes
Was this page helpful?
โI